<?php


namespace App\Http\Historico;


// Modelos
use App\Log;


// Controladores
use App\Http\Controllers\ResultadoCorridaController;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\Controller;


// Historico
use App\Http\Historico\Historico;


class ResultadoEP15Historico extends Historico {    

    public function store($accion, $obj){

        $this->SetInformacionLog($accion, $obj);
        
        switch($this->accion){

            case "update":
                $nom_area = ResultadoCorridaController::listItem($this->req["id"])->nom_area;
                $nom_analito = ResultadoCorridaController::listItem($this->req["id"])->nom_analito;
                $rslt_fecha = ResultadoCorridaController::listItem($this->req["id"])->fecha;
                $rslt_resultado_m1c1 = ResultadoCorridaController::listItem($this->req["id"])->resultado_m1c1;
                $rslt_resultado_m1c2 = ResultadoCorridaController::listItem($this->req["id"])->resultado_m1c2;
                $rslt_resultado_m2c1 = ResultadoCorridaController::listItem($this->req["id"])->resultado_m2c1;
                $rslt_resultado_m2c2 = ResultadoCorridaController::listItem($this->req["id"])->resultado_m2c2;
                $new_fecha = $this->req['fecha'];
                $new_resultado_m1c1 = $this->req['resultado_m1c1'];
                $new_resultado_m1c2 = $this->req['resultado_m1c2'];
                $new_resultado_m2c1 = $this->req['resultado_m2c1'];
                $new_resultado_m2c2 = $this->req['resultado_m2c2'];
                $resultado = "Original(fecha: $rslt_fecha, m1: $rslt_resultado_m1c1, r1: $rslt_resultado_m1c2, m2: $rslt_resultado_m2c1, r2: $rslt_resultado_m2c2) a Final(fecha: $new_fecha, m1: $new_resultado_m1c1, r1: $new_resultado_m1c2, m2: $new_resultado_m2c1, r2: $new_resultado_m2c2)";
                $this->tableLog->titulo = "Modificación";
                $this->tableLog->descripcion = "Resultado: $resultado del analito: $nom_area - $nom_analito";
                break;

            case "destroy":
                $nom_area = ResultadoCorridaController::listItem($this->req->id)->nom_area;
                $nom_analito = ResultadoCorridaController::listItem($this->req->id)->nom_analito;
                $rslt_fecha = ResultadoCorridaController::listItem($this->req->id)->fecha;
                $rslt_resultado_m1c1 = ResultadoCorridaController::listItem($this->req->id)->resultado_m1c1;
                $rslt_resultado_m1c2 = ResultadoCorridaController::listItem($this->req->id)->resultado_m1c2;
                $rslt_resultado_m2c1 = ResultadoCorridaController::listItem($this->req->id)->resultado_m2c1;
                $rslt_resultado_m2c2 = ResultadoCorridaController::listItem($this->req->id)->resultado_m2c2;
                $resultado = "fecha: $rslt_fecha, m1: $rslt_resultado_m1c1, r1: $rslt_resultado_m1c2, m2: $rslt_resultado_m2c1, r2: $rslt_resultado_m2c2";
                $this->tableLog->titulo = "Eliminación";
                $this->tableLog->descripcion = "Resultado: $resultado del analito: $nom_area - $nom_analito";
                break;
        }

        $this->tableLog->tabla = 'Resultados';
        $this->tableLog->save();
    }
}